"use strict";

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.setParams = exports.getParams = void 0;
var _toConsumableArray2 = _interopRequireDefault(require("reshow-runtime/helpers/toConsumableArray"));
var _getObjectValue = _interopRequireDefault(require("get-object-value"));
var _setObjectValue = _interopRequireDefault(require("set-object-value"));
// @ts-check

var PARAMS = "params";
/**
 * @typedef {import("reshow-flux-base").ActionObject} ActionObject
 */

/**
 * @param {ActionObject} action
 */
var getParams = exports.getParams = function getParams(action) {
  return (0, _getObjectValue["default"])(action, [PARAMS], {});
};
/**
 * @param {ActionObject} action
 * @param {string[]} path
 * @param {any} v
 */
var setParams = exports.setParams = function setParams(action, path, v) {
  return (0, _setObjectValue["default"])(action, [PARAMS].concat((0, _toConsumableArray2["default"])(path)), v);
};