import _toConsumableArray from "reshow-runtime/es/helpers/toConsumableArray";
// @ts-check
import get from "get-object-value";
import set from "set-object-value";
var PARAMS = "params";
/**
 * @typedef {import("reshow-flux-base").ActionObject} ActionObject
 */

/**
 * @param {ActionObject} action
 */
export var getParams = function getParams(action) {
  return get(action, [PARAMS], {});
};
/**
 * @param {ActionObject} action
 * @param {string[]} path
 * @param {any} v
 */
export var setParams = function setParams(action, path, v) {
  return set(action, [PARAMS].concat(_toConsumableArray(path)), v);
};